Bug 1024823 - rpkg: Use Python 3 instead of Python 2 (and provide both python2-rpkg and python3-rpkg)
rpkg: Use Python 3 instead of Python 2 (and provide both python2-rpkg and pyt...
Status: NEW
Product: Fedora
Classification: Fedora
Component: rpkg (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: cqi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1024816
  Show dependency treegraph
 
Reported: 2013-10-30 09:33 EDT by Miro Hrončok
Modified: 2017-02-22 07:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:32:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-10-30 09:33:37 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

While this package is not in minimal buildroot, it belongs to fedora-packager stack. We would like to switch to Python 3 there as well.

The goal here is, that for F22 you should use Python 3 instead of Python 2 in this package.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 1 Jaroslav Reznik 2015-03-03 10:10:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 cqi 2016-06-12 12:47:17 EDT
This is in progress now. Several patches were already merged for compatibility with Python 3. Please refer to upstream https://pagure.io/rpkg/commits/
Comment 3 Fedora End Of Life 2016-07-19 06:32:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Jan Kurik 2016-07-26 00:12:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 5 Pavel Raiskup 2017-01-11 09:24:19 EST
Changed $Summary because it would be nice to have pyrpkg library packaged
for all python versions (idea backed up by Python guidelines).
Comment 6 Fedora Admin XMLRPC Client 2017-02-21 11:44:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Lubomír Sedlář 2017-02-22 06:45:15 EST
Renaming the package is tracked separately in https://bugzilla.redhat.com/show_bug.cgi?id=1400592
Comment 8 Pavel Raiskup 2017-02-22 07:06:39 EST
I don't think package rename is needed, I think 'Provides:' is enough.

Note You need to log in before you can comment on or make changes to this bug.